# Method: accounts.clients.users.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.ListClientUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#try-it)

Lists all the known client users for a specified sponsor buyer account ID.

### HTTP request

`GET https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/clients/{clientAccountId}/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Numerical account ID of the sponsor buyer of the client to list users for. (required) |
| `clientAccountId` | `string` The account ID of the client buyer to list users for. (required) You must specify either a string representation of a numerical account identifier or the `-` character to list all the client users for all the clients of a given sponsor buyer. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The server may return fewer clients than requested. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.ListClientUsersResponse.FIELDS.next_page_token` returned from the previous call to the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#google.ads.adexchange.buyer.v2beta1.ClientUserService.ListClientUsers` method. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "users": [ { object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users#ClientUser`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `users[]` | ``object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users#ClientUser`)`` The returned list of client users. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/list#google.ads.adexchange.buyer.v2beta1.ClientUserService.ListClientUsers` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`